# wxProcessEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/process.h>`

Inheritance diagram for wxProcessEvent:
[legend]

## Detailed Description

A process event is sent to the wxEvtHandler specified to wxProcess when a process is terminated.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxProcessEvent& event)

Event macros:

- EVT_END_PROCESS(id, func):
  Process a `wxEVT_END_PROCESS` event. id is the identifier of the process object (the id passed to the wxProcess constructor) or a window to receive the event.

##

Library: wxBase
Category: Events

See also:
  wxProcess, Events and Event Handling

## Public Member Functions

| wxProcessEvent (int id=0, int pid=0, int exitcode=0)
| Constructor.
int | GetExitCode ()
| Returns the exist status.
int | GetPid ()
| Returns the process id.

List of all members.

## Constructor & Destructor Documentation

wxProcessEvent::wxProcessEvent | ( | int | id = `0`,
|  | int | pid = `0`,
|  | int | exitcode = `0` |
| ) |  |  |

Constructor.

Takes a wxProcessObject or window id, a process id and an exit status.

## Member Function Documentation

int wxProcessEvent::GetExitCode | ( |  | ) |

Returns the exist status.

int wxProcessEvent::GetPid | ( |  | ) |

Returns the process id.

|  | [ top ]